<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title>Form task 3</title>
  <script>
    /*
      Задание:
        Создать список дел, в который можно:
        - Добавить новый элемент
        - Удалить элемент
        - Задать что пункт выполнен

      Шаблон элемента:
        <li class="listItem">
            <input type="checkbox" class="DoneCheckbox" />
            <span class="TodoText">{add text}</span>
            <button>Remove</button>
        </li>

    */

    window.addEventListener("load", function () {
      let AddToDo = document.getElementById('AddToDo');
      AddToDo.addEventListener('click', addToList);
    });

    function addToList(e) {
      let newToDo = document.getElementById('newToDo');
      if (!newToDo.value) {
        return;
      }
      let toDoList = document.getElementById('toDoList');

      let li = document.createElement('li');
      li.className = 'listItem';

      let input = document.createElement('input');
      input.type = 'checkbox';
      input.className = 'DoneCheckbox';
      li.appendChild(input);
      input.addEventListener('change', checkBoxHandler);

      let span = document.createElement('span');
      span.className = 'TodoText';
      span.innerText = newToDo.value;
      li.appendChild(span);

      let btn = document.createElement('button');
      btn.innerText = 'Remove';
      li.appendChild(btn);
      btn.addEventListener('click', removeHandler);

      toDoList.appendChild(li);
      newToDo.value = '';
    }

    function checkBoxHandler (e) {
      let li = e.target.closest('.listItem');
      li.classList.toggle('done');
    }

    function removeHandler (e) {
      let li = e.target.closest('.listItem');
      li.remove();
    }

  </script>
</head>
<body>
    <header>
      <input id="newToDo" class="textInput"/>
      <input id="AddToDo" class="addButton" type="button" value="Add"/>
    </header>
    <ul id="toDoList">

    </ul>

  <style>
    .done{
      text-decoration: line-through;
    }
    .textInput{
      box-sizing: border-box;
      padding: 10px 20px;
    }
    .addButton{
      box-sizing: border-box;
      padding: 10px 20px;
      background: #ffcc00;
    }

    .DoneCheckbox,
    .TodoText{
      margin-right: 5px;
    }

    button{
      background: red;
      color: #fff;
      padding: 5px 10px;
    }
  </style>
</body>
</html>
